@media screen and (max-width: 550px) {
    .footer_nav {
        width: 300px;
    }
    .portfolio_block {
        width: 100%;
    }
    
    .portfolio_block_img {
        width: 300px;
        height: 100%;
        margin: 0 auto;
        background-size: contain;
        padding: 9px 36px 0px 35px;
    }
    .portfolio_block_img_size {
        width: 230px;
        height: 143px;
        padding: 0;
    }

    .portfolio_filter {
        margin: 20px auto 60px;
        width: 300px;
    }

    .portfolio_filter_button,
    .active_button {
        margin-bottom: 10px;
        width: 50px;
        height: 30px;
        font-size: 14px;
    }
}

@media screen and (max-width: 914px) {
    .header {
        position: absolute;
    }
    .header_menu {
        display: none;
    }
    .header_wrap {
        position: fixed;
        top: 0;
        background-color: inherit;
        width: 100%;
        display: flex;
        align-items: center;
        padding: 15px 0px 15px 15px;
        z-index: 10;
    }

    .main_heading {
        line-height: 1.2;
    }
    .welcome_heading {
    font-size: 32px;
    }
   
    .burger_menu {
        display: block;
    }
    #menu__toggle {
        opacity: 0;
    }

    .menu__btn {
        display: flex;
        align-items: center;
        position: absolute;
        top: 20px;
        right: 30px;
        width: 35px;
        height: 30px;
        cursor: pointer;
        z-index: 1;
    }

    .menu__btn > span,
    .menu__btn > span::before,
    .menu__btn > span::after {
        display: block;
        position: absolute;
        width: 100%;
        height: 2px;
        background-color: white;
    }
    .menu__btn > span::before {
        content: "";
        top: -8px;
    }
    .menu__btn > span::after {
        content: "";
        top: 8px;
    }
    .menu__box {
        display: flex;
        position: fixed;
        visibility: hidden;
        top: 0;
        width: 100%;
        height: 100%;
        margin: 0;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        list-style: none;
        text-align: center;
        background-color: #cb98dd;
    }

    .menu__box_item {
        font-size: 36px;
        font-weight: bold;
    }

    .menu__box_item:hover {
        color: #f7e9e9;
        background-color: #643a79;
        padding: 5px 15px;
        border-radius: 7px;
    }

    #menu__toggle:checked ~ .menu__btn > span {
        transform: rotate(45deg);
    }
    #menu__toggle:checked ~ .menu__btn > span::before {
        top: 0;
        transform: rotate(0);
    }
    #menu__toggle:checked ~ .menu__btn > span::after {
        top: 0;
        transform: rotate(90deg);
    }
    #menu__toggle:checked ~ .menu__box {
        visibility: visible;
        right: 0;
        top: 0;
    }

    .services_block,
    .team_block,
    .skills_progress_bar_block,
    .portfolio_block {
        margin: 0 auto;
    }
    .team_block,
    .skills_progress_bar_block,
    .services_block {
        margin-bottom: 40px;
    }

    .portfolio_block {
        margin-top: 10px;
        margin-bottom: 30px;
    }
    .testimonials_block {
        flex-direction: column;
        width: 276px;
        height: 285px;
        margin: 0 auto 40px;
        text-align: center;
    }

    .testimonials_block_img {
        margin: 0 auto;
    }
    .message_form_block_input {
        flex-direction: column;
    }
    .input {
        margin-bottom: 15px;
        width: 100%;
    }

    .welcome_heading {
        font-size: 36px;
    }

    .serices_descrip {
        width: 80%;
    }

    .placeinput {
        position: relative;
        display: flex;
        width: 90%;
        margin: 0 auto;
    }

    .message,
    .testimonials,
    .team,
    .welcome {
        padding-left: 10px;
        padding-right: 10px;
    }

    .portfolio_block {
        width: 100%;
    }

    .portfolio_block_img {
        margin: 0 auto 5px;
    }
    .portfolio_block_descrip {
        margin-top: 7px;
    }
    

    .services_wrapper,
    .team_wrapper,
    .skills_progress_bar,
    .testimonials_wrapper {
        max-width: 672px;
    }
}

@media screen and (min-width: 915px) and (max-width: 1042px) {
    .team_wrapper {
        max-width: 770px;
    }
    .services,
    .message,
    .testimonials,
    .team,
    .welcome {
        padding-left: 10px;
        padding-right: 10px;
    }
    .header_wrap {
        padding-left: 15px;
        padding-right: 15px;
    }
    .services_wrapper {
        max-width: 680px;
    }

    .skills_progress_bar_block {
        width: 50%;
        margin-bottom: 20px;
    }

    .team_block {
        margin-bottom: 30px;
    }

   
    .testimonials_block {
        width: 50%;
    }

    .services_wrapper,
    .team_wrapper,
    .skills_progress_bar,
    .testimonials_wrapper {
        max-width: 672px;
    }

    .portfolio_block {
        width: 100%;
    }

    .portfolio_block_img {
        margin: 0 auto 27px;
    }
}

@media screen and (min-width: 1043px) and (max-width: 1130px) {
    .header_wrap {
        padding-left: 15px;
        padding-right: 15px;
    }

    .services,
    .message,
    .testimonials,
    .welcome {
        padding-left: 10px;
        padding-right: 10px;
    }

    .portfolio_block {
        width: 100%;
    }

    .portfolio_block_img {
        margin: 0 auto 27px;
    }

    .testimonials_block {
        width: 50%;
    }
}

